<?php

/**
 * Property Service - API Helper
 * Author: Marcin Rabczyński
 * Date: 01.09.16
 */
class PropertyService
{

    public static function getMethods()
    {
        return new Methods;
    }
    
    public static function getField()
    {
        return new Field;
    }

    public static function getFields()
    {
        return new Fields;
    }
}

class Methods
{
    public $getColsL = 'getColsL';
    public $setV = 'setV';
    public $setVList  = 'setVList';
    public $getColsE = 'getColsE';
    public $getV = 'getV';
    public $restore = 'restore';
    public $makeBackup = 'makeBackup';
    
}

class Field 
{
    public $webui = 'webui';
}

class Fields
{
    public $all = 'value,webui,flags,regexp,enum,range_min,range_max';
}
